# Moderator API . topics . submissions

## Instance Methods

Searches the submissions for the specified topic within the specified series and returns the search results.

### Method Details

`list(seriesId, topicId, includeVotes=None, author=None, sort=None, max_results=None, q=None, start_index=None, hasAttachedVideo=None)`

    Searches the submissions for the specified topic within the specified series and returns the search results.

    Args:
      seriesId: integer, The decimal ID of the Series. (required)
      topicId: integer, The decimal ID of the Topic within the Series. (required)
      includeVotes: boolean, Specifies whether to include the current user's vote
      author: string, Restricts the results to submissions by a specific author.
      sort: string, Sort order.
      max_results: integer, Maximum number of results to return.
      q: string, Search query.
      start_index: integer, Index of the first result to be retrieved.
      hasAttachedVideo: boolean, Specifies whether to restrict to submissions that have videos attached.

    Returns:
      An object of the form:

        {
        "items": [
          {
              "kind": "moderator#submission",
              "attribution": {
                "displayName": "A String",
                "location": "A String",
                "avatarUrl": "A String",
              },
              "created": "A String",
              "text": "A String",
              "topics": [
                {
                  "id": {
                    "seriesId": "A String",
                    "topicId": "A String",
                  },
                },
              ],
              "author": "A String",
              "translations": [
                {
                  "lang": "A String",
                  "text": "A String",
                },
              ],
              "parentSubmissionId": {
                "seriesId": "A String",
                "submissionId": "A String",
              },
              "vote": {
                "vote": "A String",
                "flag": "A String",
              },
              "attachmentUrl": "A String",
              "geo": {
                "latitude": 3.14,
                "location": "A String",
                "longitude": 3.14,
              },
              "id": {
                "seriesId": "A String",
                "submissionId": "A String",
              },
              "counters": {
                "noneVotes": 42,
                "minusVotes": 42,
                "plusVotes": 42,
              },
            },
        ],
        "kind": "moderator#submissionList",
      }